# PetscObjectGetComm

Gets the MPI communicator for any PetscObject, regardless of the type.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscObjectGetComm(PetscObject obj,MPI_Comm *comm)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetComm((PetscObject)mat,&comm);

### Output Parameter

comm -the MPI communicator

Level:advanced
Location: src/sys/objects/gcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/util2.c.html
src/ts/examples/tutorials/ex7.c.html